struts-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "James Chaplin (Jira)" <j...@apache.org>
Subject [jira] [Commented] (WW-5075) Upgrade OSGi to the latest version
Date Sat, 20 Jun 2020 23:07:00 GMT

    [ https://issues.apache.org/jira/browse/WW-5075?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=17141231#comment-17141231
] 

James Chaplin commented on WW-5075:
-----------------------------------

Hello.  I have been looking into this issue sporadically over the past few weeks.  Upgrading
the libraries for Struts 2.6.x was straightforward, as was some additional cleanup for the
plugin.  When I started manually testing the plugin as part of a sample web project with
the OSGi admin bundle, though, I encountered issues that I was unable to resolve.

Trying manual tests with the latest Struts 2.5.x and 2.3.x releases produced similar failures. 
I had to go back as far as version 2.3.3 before I could get a combination that still worked. 
My plan is to start working forward through the 2.3.x series to see if I can resolve the issues
that arise (so far I have been able to get things working with modified 2.3.4 and 2.3.5 versions).

Once enough additional progress has been made, or if I hit a roadblock, I will provide an
updated comment.  If a solution is found, the hope is to generate PRs for 2.6.x and 2.5.x.

> Upgrade OSGi to the latest version
> ----------------------------------
>
>                 Key: WW-5075
>                 URL: https://issues.apache.org/jira/browse/WW-5075
>             Project: Struts 2
>          Issue Type: Dependency
>          Components: Plugin - OSGi
>            Reporter: Lukasz Lenart
>            Priority: Major
>             Fix For: 2.6
>
>
> Currently the OSGi plugin is using
> {code:xml}
>         <dependency>
>             <groupId>org.osgi</groupId>
>             <artifactId>org.osgi.core</artifactId>
>             <version>4.3.1</version>
>         </dependency>
> {code}
> but there is a new version 6.0.0



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

Mime
View raw message